<div class="modal-header">
    <h3>Edit admin</h3>
</div>

<!--EDIT ROLE FORM-->
<form name="updateForm" novalidate  ng-submit="vm.updateAdmin(updateForm.$valid, admin)">
    <div class="modal-body">
        <!-- EMAIL -->
        <div class="form-group">
            <label>Email</label>
            <input type="email" name="email" class="form-control" placeholder="Enter email" ng-model="admin.email"
                   minlength="6"
                   ng-pattern="/^[_a-z0-9.!#$%&'*+/=?^_`{|}~-]+(\.[_a-z0-9.!#$%&'*+/=?^_`{|}~-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$/"
                   disabled="disabled"
                   required>
            <ng-messages for="updateForm.email.$error" role="alert">
                <ng-messages-include ng-if="editSubmitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
        </div>

        <!-- ROLES -->
        <div class="form-group">
            <label>Role</label>
            <select class="form-control input-md" required
                    ng-init="admin.role"
                    name="role" id="role"
                    ng-options="key as value.type for (key , value) in vm.roles"
                    ng-model="admin.role"
                    ></select>
            <ng-messages for="updateForm.role.$error" role="alert">
                <ng-messages-include ng-if="editSubmitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
        </div>

        <!-- PASSWORD CHANGABLE -->
        <div class="form-group adminUpdate-Check" ng-if="checkPermission['UPDATE_ADMIN_PASSWORD']">
            <input type="checkbox" ng-model="admin.isPasswordChangable" id="resetPassword" />
            <label for="resetPassword" style="cursor: pointer;"> Reset password for this Admin </label>
        </div>

        <!-- PASSWORD -->
        <div class="form-group" ng-if="admin.isPasswordChangable && checkPermission['UPDATE_ADMIN_PASSWORD']">
            <label>New Password</label>
            <input type="password" name="password" id="password"
                   minlength="6" maxlength="15" required
                   ng-model="admin.password" class="form-control" placeholder="Enter Password">
            <ng-messages for="updateForm.password.$error" role="alert">
                <ng-messages-include ng-if="editSubmitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
        </div>

        <!--REPEAT PASSWORD-->
        <div class="form-group" ng-if="admin.isPasswordChangable && checkPermission['UPDATE_ADMIN_PASSWORD']">
            <label >Retype Password</label>
            <input type="password" name="verifyPassword" id="verifyPassword"
                   ng-model="admin.verifyPassword" class="form-control"
                   placeholder="Retype your password" compare-to="admin.password">
            <ng-messages for="updateForm.verifyPassword.$error" role="alert">
                <ng-messages-include ng-if="editSubmitted" src="error-messages">...</ng-messages-include>
                <div ng-message="compareTo" ng-if="editSubmitted">Passwords are not compared!</div>
            </ng-messages>
        </div>
    </div>

    <div class="modal-footer">
        <button class="btn btn-primary" type="submit">Update Admin</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">Cancel</button>
    </div>
</form>
<!--/EDIT ROLE FORM-->

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
    <div ng-message="email">Email is not correct!</div>
    <div ng-message="password">Password required!</div>
</script>
